Tuesday, October 19, 2010

Having trouble upgrading to Maverick Meerkat from behind a proxy

I had no trouble ugprading my home machine to Ubuntu 10.10 (Maverick Meerkat), but at work I'm stalled.

I think the problem is due to some sort of interaction with my corporate proxy server.

I can apply normal system updates via the proxy, but when I try to perform the upgrade from 10.04 (Lucid Lynx) to 10.10, the upgrade tool fails with the error message:

ERROR: No 'ubuntu-minimal' available/downloadable after sources.list rewrite+update.

Some searching has found others with similar problems, and lots of fingers pointed at the proxy server interactions, but no obvious fix that I've seen yet.

Anybody done an upgrade from 10.04 to 10.10 via a proxy server? Did you have any problems? Is there some configuration step I may have missed? Some log file that may have more clues?

I've read through the logs in /var/log/dist-upgrade, and I don't see anything obvious, beyond the error message above.

No comments:

Post a Comment